﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Net;

namespace MontoyaTech.Rest.Net
{
    /// <summary>
    /// An outline of a Listener Context which includes
    /// the given request and a resposne.
    /// </summary>
    public class RouteListenerContext
    {
        /// <summary>
        /// The Http Request that requested this route.
        /// </summary>
        public HttpListenerRequest Request = null;

        /// <summary>
        /// The Http Response for this route.
        /// </summary>
        public HttpListenerResponse Response = null;

        /// <summary>
        /// Creates a new ListenerContext with a given request and response.
        /// </summary>
        /// <param name="request"></param>
        /// <param name="response"></param>
        public RouteListenerContext(HttpListenerRequest request, HttpListenerResponse response)
        {
            this.Request = request;
            this.Response = response;
        }
    }
}
